MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025546Open CASCADE[OCCT] OCCT:Codingpublic2014-12-03 11:422018-03-15 10:18
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025546: Visualization - remove unused methods and classes from package Aspect
DescriptionThe global methods of package Aspect are strange and used nowhere:
Aspect::ValuesOfFOSP(), Aspect::ToCString(), Aspect::Inverse().
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025038closedapn Visualization - remove unused classes from package Aspect 
related to 0029576closedbugmaster Coding Rules - remove unused declarations from package Aspect 

-  Notes
(0034959)
git (administrator)
2014-12-03 11:49

Branch CR25546 has been created by kgv.

SHA-1: a575dc0912a576af82a57cd8dff87e10b1787507


Detailed log of new commits:

Author: kgv
Date: Wed Dec 3 11:49:09 2014 +0300

    0025546: Visualization - remove unused methods and classes from package Aspect
(0034961)
git (administrator)
2014-12-03 12:08

Branch CR25546 has been updated forcibly by kgv.

SHA-1: 27b3b74aa6e63a50f674de9a28c80a35dd4896db
(0034962)
kgv (developer)
2014-12-03 12:09

Patch is ready for review in branches CR25546 of occt and products repositories.
(0035015)
san (developer)
2014-12-04 15:57

Branch CR25546 reviewed without remarks, ready for testing.
(0035085)
git (administrator)
2014-12-05 18:49

Branch CR25546 has been updated forcibly by apv.

SHA-1: 763deb2ebf60af42b100b142104bd968a2379102
(0035086)
apv (tester)
2014-12-05 18:52

Branches CR25546 have been rebased on the current masters for occt and products repositories
(0035170)
apv (tester)
2014-12-08 19:27

Dear BugMaster,

Branches CR25546 from occt git-repository and from products git-repository were compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 763deb2ebf60af42b100b142104bd968a2379102
SHA-1: ba81551a2222fc91c4fba1b163bdbde1532bdb88

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 0 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux (occt component):
Total MEMORY difference: 363783708 / 363562240
Total CPU difference: 45896.55000000019 / 47537.4299999999

Testing on Windows (occt component):
Total MEMORY difference: 276580188 / 277181316
Total CPU difference: 50090.734375 / 41681.890625

Testing on Linux (products component):
Total MEMORY difference: 112985332 / 112728532
Total CPU difference: 16529.869999999984 / 16219.01999999998

Testing on Windows (products component):
Total MEMORY difference: 82284504 / 71216368
Total CPU difference: 14546.34375 / 13037.484375

During building were detected problems with occt and products samples:
1. OCCT MFC samples:
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR25546/job/mnt-CR25546-CR25546_build_occt_mfc_samples_windows/1/parsed_console/ [^]
2. Products CSharp samples
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR25546/job/mnt-CR25546-CR25546_build_products_csharp_samples_windows/1/parsed_console/ [^]
3. Products MFC samples
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR25546/job/mnt-CR25546-CR25546_build_products_mfc_samples_windows/2/parsed_console/ [^]
4. Products Qt samples
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR25546/job/mnt-CR25546-CR25546_build_products_qt_samples_windows/1/parsed_console/ [^]
(0035194)
git (administrator)
2014-12-09 12:13

Branch CR25546 has been updated by kgv.

SHA-1: 0e7cd01f44a2aca4217e515cdf2b0663cae3a042


Detailed log of new commits:

Author: kgv
Date: Tue Dec 9 12:13:15 2014 +0300

    update MFC samples

(0035199)
kgv (developer)
2014-12-09 12:30

Please check updated branches (no need to perform regression tests - only compilation of samples).
(0035249)
apv (tester)
2014-12-10 11:18

Dear BugMaster,

Branches CR25546 from occt git-repository and from products git-repository were compiled on Linux, MacOS and Windows platforms.
SHA-1: 0e7cd01f44a2aca4217e515cdf2b0663cae3a042
SHA-1: ba81551a2222fc91c4fba1b163bdbde1532bdb88

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 0 (1 on master)
(0036583)
git (administrator)
2015-01-26 12:35

Branch CR25546 has been deleted by inv.

SHA-1: 0e7cd01f44a2aca4217e515cdf2b0663cae3a042

- Related Changesets
occt: master f4fa7f0c
Timestamp: 2014-12-11 13:29:53
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025546: Visualization - remove unused methods and classes from package Aspect

Remove global methods Aspect::ToCString(), Aspect::ValuesOfFOSP(), Aspect::Inverse().
Remove class Aspect_Edge, Aspect_Array1OfEdge and Aspect_EdgeDefinitionError.
Remove enumerations Aspect_TypeOfFont, Aspect_TypeOfText, Aspect_CardinalPoints,
Aspect_TypeOfRenderingMode, Aspect_TypeOfColorSpace, Aspect_FormatOfSheetPaper.

update MFC samples
mod - samples/mfc/standard/01_Geometry/src/GeometryView2D.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Text.cpp Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/ISession2D/ISession_Text.h Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/Viewer2dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/TrihedronDlg.h Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Image.h Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Text.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Text.h Diff ] File ]
mod - samples/mfc/standard/Common/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.cxx Diff ] File ]
mod - src/Aspect/Aspect.cdl Diff ] File ]
rm - src/Aspect/Aspect.cxx Diff ] File ]
rm - src/Aspect/Aspect_Edge.cdl Diff ] File ]
rm - src/Aspect/Aspect_Edge.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_GraphicDriver.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.cdl Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/V3d/V3d_View_4.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-03 11:42 kgv New Issue
2014-12-03 11:42 kgv Assigned To => kgv
2014-12-03 11:42 kgv Relationship added related to 0025038
2014-12-03 11:49 git Note Added: 0034959
2014-12-03 12:08 git Note Added: 0034961
2014-12-03 12:09 kgv Note Added: 0034962
2014-12-03 12:09 kgv Assigned To kgv => abv
2014-12-03 12:09 kgv Status new => resolved
2014-12-04 15:57 san Note Added: 0035015
2014-12-04 15:57 san Assigned To abv => bugmaster
2014-12-04 15:57 san Status resolved => reviewed
2014-12-05 16:55 mkv Assigned To bugmaster => apv
2014-12-05 18:49 git Note Added: 0035085
2014-12-05 18:52 apv Note Added: 0035086
2014-12-08 19:18 apv Test case number => Not needed
2014-12-08 19:27 apv Note Added: 0035170
2014-12-08 19:27 apv Assigned To apv => kgv
2014-12-08 19:27 apv Status reviewed => assigned
2014-12-09 12:13 git Note Added: 0035194
2014-12-09 12:30 kgv Note Added: 0035199
2014-12-09 12:30 kgv Assigned To kgv => bugmaster
2014-12-09 12:30 kgv Status assigned => resolved
2014-12-09 12:30 kgv Status resolved => reviewed
2014-12-09 12:41 apv Assigned To bugmaster => apv
2014-12-10 11:18 apv Note Added: 0035249
2014-12-10 11:18 apv Assigned To apv => bugmaster
2014-12-10 11:18 apv Status reviewed => tested
2014-12-16 16:46 bugmaster Changeset attached => occt master f4fa7f0c
2014-12-16 16:46 bugmaster Status tested => verified
2014-12-16 16:46 bugmaster Resolution open => fixed
2015-01-19 16:23 bugmaster Target Version 7.0.0 => 6.9.0
2015-01-26 12:35 git Note Added: 0036583
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0
2018-03-15 10:18 kgv Relationship added related to 0029576


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker